Bug 833733 - twinkle crashes upon startup and is unusable.
Summary: twinkle crashes upon startup and is unusable.
Keywords:
Status: CLOSED DUPLICATE of bug 833458
Alias: None
Product: Fedora
Classification: Fedora
Component: twinkle
Version: 17
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 839391 842213 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 08:21 UTC by Harish Pillay
Modified: 2013-02-28 08:45 UTC (History)
9 users (show)

Fixed In Version: ucommon-5.2.3-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-24 14:56:42 UTC
Type: Bug


Attachments (Terms of Use)
The output from starting twinkle from the command line (4.95 KB, text/plain)
2012-06-20 08:21 UTC, Harish Pillay
no flags Details
crash info after installing twinkle from koji (5.16 KB, text/plain)
2012-06-21 13:53 UTC, Harish Pillay
no flags Details

Description Harish Pillay 2012-06-20 08:21:41 UTC
Created attachment 593150 [details]
The output from starting twinkle from the command line

Description of problem:
Twinkle crashes on startup

Version-Release number of selected component (if applicable):
twinkle-1.4.2-17.fc17.x86_64

How reproducible:
start twinkle from the commandline and it will crash

Steps to Reproduce:
1. from terminal, type "twinkle"
2. crash
  
Actual results:

see attached file.

Expected results:

should have started without issues as it did with Fedora 16.

Comment 1 Harish Pillay 2012-06-20 08:22:44 UTC
I did a yum reinstall twinkle and it did not help.

# uname -a
Linux vostro.sin.redhat.com 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Comment 2 Kevin Fenzi 2012-06-20 17:58:34 UTC
Can you give output of: 

rpm -q twinkle commoncpp2 ccrtp qt3

?

Comment 3 Harish Pillay 2012-06-21 01:33:48 UTC
# rpm -q twinkle commoncpp2 ccrtp qt3
twinkle-1.4.2-17.fc17.x86_64
commoncpp2-1.8.1-2.fc17.x86_64
ccrtp-2.0.2-1.fc17.x86_64
qt3-3.3.8b-41.fc17.x86_64

Comment 4 Rex Dieter 2012-06-21 13:04:03 UTC
Ah, sounds like a similar issue as bug #830618  (kdelibs3), do folks experiencing this have 
https://admin.fedoraproject.org/updates/FEDORA-2012-9346/kdelibs3-3.5.10-37.fc17
or not?

Comment 5 Harish Pillay 2012-06-21 13:21:51 UTC
What I have on my machine is:

# rpm -qa|grep kdelib
kdelibs-common-4.8.3-1.fc17.x86_64
kdelibs3-3.5.10-37.fc17.x86_64

and is still a no go.

Comment 6 Rex Dieter 2012-06-21 13:41:18 UTC
ok, may be worth trying this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4183506

(in case twinkle was built against a buggy gcc, similar to bug #830618 )

Comment 7 Harish Pillay 2012-06-21 13:53:06 UTC
Created attachment 593455 [details]
crash info after installing twinkle from koji

Comment 8 Harish Pillay 2012-06-21 13:54:18 UTC
no luck even after yum erase twinkle and installing the one from koji:
http://kojipkgs.fedoraproject.org//work/tasks/3507/4183507/twinkle-1.4.2-17.fc17.1.x86_64.rpm

see the 2nd file attached.

Comment 9 Rex Dieter 2012-06-21 14:04:53 UTC
twinkle
*** buffer overflow detected ***: twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3e87d097e7]
/lib64/libc.so.6[0x3e87d079a0]
/lib64/libccgnu2-1.8.so.0[0x374d828e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x374d8295f8]
/lib64/libcommoncpp.so.5[0x374dc200e1]
/lib64/ld-linux-x86-64.so.2[0x3e8780ee26]
/lib64/ld-linux-x86-64.so.2[0x3e8780eee0]
/lib64/ld-linux-x86-64.so.2[0x3e8780156a]

Seems to imply some fortify-related problem with libccgnu2-1.8.so.0 (from commoncpp2 pkg)

but having a proper backtrace (with debuginfo) would help (using gdb or abrt)

Comment 10 Harish Pillay 2012-06-21 14:31:15 UTC
OK. I will uninstall twinkle and install the twinkle with debug info
http://kojipkgs.fedoraproject.org//work/tasks/3507/4183507/twinkle-debuginfo-1.4.2-17.fc17.1.x86_64.rpm

let me do that now.

Comment 11 Harish Pillay 2012-06-21 15:14:07 UTC
First time i am installing a -debug version.

I had to +x to the binary but after doing that, it does not run:

/usr/lib/debug/usr/bin/twinkle.debug
bash: /usr/lib/debug/usr/bin/twinkle.debug: bad ELF interpreter: No such file or directory

ls -lat /usr/lib/debug/usr/bin/twinkle.debug
-r-xr-xr-x. 1 root root 59312464 Jun 21 21:13 /usr/lib/debug/usr/bin/twinkle.debug

anything else I need to do?

Comment 12 Rex Dieter 2012-06-21 15:21:03 UTC
No. :)

install *both* twinkle and tinkle-debuginfo, then either let abrt report the crash, or run under gdb:

$ gdb twinkle
...
(gdb) run
... wait for crash ...
(gdb) backtrace

then paste the results here.

Comment 13 Harish Pillay 2012-06-21 15:26:19 UTC
OK.  Here it is:

$ gdb twinkle
GNU gdb (GDB) Fedora (7.4.50.20120120-42.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/twinkle...Reading symbols from /usr/lib/debug/usr/bin/twinkle.debug...done.
done.
(gdb) run
Starting program: /usr/bin/twinkle 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
*** buffer overflow detected ***: /usr/bin/twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3e87d097e7]
/lib64/libc.so.6[0x3e87d079a0]
/lib64/libccgnu2-1.8.so.0[0x374d828e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x374d8295f8]
/lib64/libcommoncpp.so.5[0x374dc200e1]
/lib64/ld-linux-x86-64.so.2[0x3e8780ee26]
/lib64/ld-linux-x86-64.so.2[0x3e8780eee0]
/lib64/ld-linux-x86-64.so.2[0x3e8780156a]
======= Memory map: ========
00400000-00714000 r-xp 00000000 fd:02 578526                             /usr/bin/twinkle
00913000-00917000 rw-p 00313000 fd:02 578526                             /usr/bin/twinkle
00917000-0093a000 rw-p 00000000 00:00 0                                  [heap]
31a0a00000-31a0a33000 r-xp 00000000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0a33000-31a0c33000 ---p 00033000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0c33000-31a0c34000 r--p 00033000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0c34000-31a0c35000 rw-p 00034000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0e00000-31a15fa000 r-xp 00000000 fd:02 2752856                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
31a15fa000-31a17fa000 ---p 007fa000 fd:02 2752856                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
31a17fa000-31a1877000 rw-p 007fa000 fd:02 2752856                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
31a1877000-31a187d000 rw-p 00000000 00:00 0 
31a1a00000-31a1a14000 r-xp 00000000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
31a1a14000-31a1c13000 ---p 00014000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
31a1c13000-31a1c14000 r--p 00013000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
31a1c14000-31a1c15000 rw-p 00014000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
3747a00000-3747a15000 r-xp 00000000 fd:02 527764                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
3747a15000-3747c14000 ---p 00015000 fd:02 527764                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
3747c14000-3747c15000 rw-p 00014000 fd:02 527764                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
3747e00000-3747ee5000 r-xp 00000000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
3747ee5000-37480e4000 ---p 000e5000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
37480e4000-37480ec000 r--p 000e4000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
37480ec000-37480ee000 rw-p 000ec000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
37480ee000-3748103000 rw-p 00000000 00:00 0 
3748e00000-3748ed8000 r-xp 00000000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
3748ed8000-37490d7000 ---p 000d8000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
37490d7000-37490dd000 r--p 000d7000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
37490dd000-37490df000 rw-p 000dd000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
3749600000-3749755000 r-xp 00000000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749755000-3749955000 ---p 00155000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749955000-3749965000 r--p 00155000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749965000-3749966000 rw-p 00165000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749966000-374996a000 rw-p 00000000 00:00 0 
3749a00000-3749bb7000 r-xp 00000000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
3749bb7000-3749db6000 ---p 001b7000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
3749db6000-3749dc2000 r--p 001b6000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
3749dc2000-3749dc4000 rw-p 001c2000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
374c400000-374c417000 r-xp 00000000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c417000-374c617000 ---p 00017000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c617000-374c618000 r--p 00017000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c618000-374c619000 rw-p 00018000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c800000-374c914000 r-xp 00000000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374c914000-374cb13000 ---p 00114000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374cb13000-374cb18000 r--p 00113000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374cb18000-374cb1b000 rw-p 00118000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374d000000-374d070000 r-xp 00000000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d070000-374d26f000 ---p 00070000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d26f000-374d273000 r--p 0006f000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d273000-374d275000 rw-p 00073000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d800000-374d849000 r-xp 00000000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374d849000-374da49000 ---p 00049000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374da49000-374da4c000 r--p 00049000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374da4c000-374da4d000 rw-p 0004c000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374da4d000-374da4e000 rw-p 00000000 00:00 0 
374dc00000-374dc46000 r-xp 00000000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374dc46000-374de46000 ---p 00046000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374de46000-374de4a000 r--p 00046000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374de4a000-374de4b000 rw-p 0004a000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374de4b000-374de4c000 rw-p 00000000 00:00 0 
374e000000-374e035000 r-xp 00000000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e035000-374e235000 ---p 00035000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e235000-374e238000 r--p 00035000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e238000-374e239000 rw-p 00038000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e239000-374e23a000 rw-p 00000000 00:00 0 
374e400000-374e44c000 r-xp 00000000 fd:02 548863                         /usr/lib64/libccext2-1.8.so.0.0.1
Program received signal SIGABRT, Aborted.
0x0000003e87c35965 in raise () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install alsa-lib-1.0.25-3.fc17.x86_64 boost-regex-1.48.0-11.fc17.x86_64 ccrtp-2.0.2-1.fc17.x86_64 commoncpp2-1.8.1-2.fc17.x86_64 expat-2.1.0-1.fc17.x86_64 file-libs-5.10-5.fc17.x86_64 flac-1.2.1-9.fc17.x86_64 fontconfig-2.8.0-7.fc17.x86_64 freetype-2.4.8-3.fc17.x86_64 glibc-2.15-37.fc17.x86_64 gsm-1.0.13-6.fc17.x86_64 kdelibs3-3.5.10-37.fc17.x86_64 lcms-libs-1.19-5.fc17.x86_64 libICE-1.0.8-1.fc17.x86_64 libSM-1.2.1-1.fc17.x86_64 libX11-1.4.99.901-2.fc17.x86_64 libXau-1.0.6-3.fc17.x86_64 libXcursor-1.1.13-1.fc17.x86_64 libXext-1.3.1-1.fc17.x86_64 libXfixes-5.0-2.fc17.x86_64 libXft-2.3.0-2.fc17.x86_64 libXi-1.6.1-1.fc17.x86_64 libXinerama-1.1.2-1.fc17.x86_64 libXrandr-1.3.1-3.fc17.x86_64 libXrender-0.9.7-1.fc17.x86_64 libacl-2.2.51-5.fc17.x86_64 libart_lgpl-2.3.21-3.fc17.x86_64 libattr-2.4.46-5.fc17.x86_64 libgcc-4.7.0-5.fc17.x86_64 libgcrypt-1.5.0-3.fc17.x86_64 libgpg-error-1.10-2.fc17.x86_64 libicu-4.8.1.1-2.fc17.x86_64 libidn-1.24-1.fc17.x86_64 libjpeg-turbo-1.2.0-1.fc17.x86_64 libmng-1.0.10-6.fc17.x86_64 libogg-1.3.0-1.fc17.x86_64 libpng-1.5.10-1.fc17.x86_64 libsndfile-1.0.25-2.fc17.x86_64 libstdc++-4.7.0-5.fc17.x86_64 libutempter-1.1.5-6.fc17.x86_64 libuuid-2.21.2-1.fc17.x86_64 libvorbis-1.3.3-1.fc17.x86_64 libxcb-1.8.1-1.fc17.x86_64 libxml2-2.7.8-7.fc17.x86_64 libzrtpcpp-2.1.2-2.fc17.x86_64 ncurses-libs-5.9-4.20120204.fc17.x86_64 openssl-1.0.0j-1.fc17.x86_64 qt3-3.3.8b-41.fc17.x86_64 readline-6.2-4.fc17.x86_64 speex-1.2-0.14.rc1.fc17.x86_64 ucommon-5.2.2-1.fc17.x86_64 zlib-1.2.5-6.fc17.x86_64
(gdb) backtrace
#0  0x0000003e87c35965 in raise () from /lib64/libc.so.6
#1  0x0000003e87c37118 in abort () from /lib64/libc.so.6
#2  0x0000003e87c7568b in __libc_message () from /lib64/libc.so.6
#3  0x0000003e87d097e7 in __fortify_fail () from /lib64/libc.so.6
#4  0x0000003e87d079a0 in __chk_fail () from /lib64/libc.so.6
#5  0x000000374d828e73 in ?? () from /lib64/libccgnu2-1.8.so.0
#6  0x000000374d8295f8 in ost::IPV4Host::IPV4Host(char const*) () from /lib64/libccgnu2-1.8.so.0
#7  0x000000374dc200e1 in ?? () from /lib64/libcommoncpp.so.5
#8  0x0000003e8780ee26 in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2
#9  0x0000003e8780eee0 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2
#10 0x0000003e8780156a in _dl_start_user () from /lib64/ld-linux-x86-64.so.2
#11 0x0000000000000001 in ?? ()
#12 0x00007fffffffe0a6 in ?? ()
#13 0x0000000000000000 in ?? ()

Comment 14 Rex Dieter 2012-06-21 15:32:29 UTC
OK, backtrace definitely going through commoncpp2 

Mind repeating gdb/backtrace after doing,
$ debuginfo-install commoncpp2

?

Comment 15 Harish Pillay 2012-06-21 15:59:20 UTC
ok. pulling in 187M of stuff (gcc-debuginfo weighing it at 166M!!!).

Comment 16 Harish Pillay 2012-06-21 16:11:59 UTC
OK. Installed and re-running via gdb:

$ gdb twinkle
GNU gdb (GDB) Fedora (7.4.50.20120120-42.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/twinkle...Reading symbols from /usr/lib/debug/usr/bin/twinkle.debug...done.
done.
(gdb) run
Starting program: /usr/bin/twinkle 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
*** buffer overflow detected ***: /usr/bin/twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3e87d097e7]
/lib64/libc.so.6[0x3e87d079a0]
/lib64/libccgnu2-1.8.so.0[0x374d828e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x374d8295f8]
/lib64/libcommoncpp.so.5[0x374dc200e1]
/lib64/ld-linux-x86-64.so.2[0x3e8780ee26]
/lib64/ld-linux-x86-64.so.2[0x3e8780eee0]
/lib64/ld-linux-x86-64.so.2[0x3e8780156a]
======= Memory map: ========
00400000-00714000 r-xp 00000000 fd:02 578526                             /usr/bin/twinkle
00913000-00917000 rw-p 00313000 fd:02 578526                             /usr/bin/twinkle
00917000-0093a000 rw-p 00000000 00:00 0                                  [heap]
31a0a00000-31a0a33000 r-xp 00000000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0a33000-31a0c33000 ---p 00033000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0c33000-31a0c34000 r--p 00033000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0c34000-31a0c35000 rw-p 00034000 fd:02 526824                         /usr/lib64/libfontconfig.so.1.4.4
31a0e00000-31a15fa000 r-xp 00000000 fd:02 2752856                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
31a15fa000-31a17fa000 ---p 007fa000 fd:02 2752856                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
31a17fa000-31a1877000 rw-p 007fa000 fd:02 2752856                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
31a1877000-31a187d000 rw-p 00000000 00:00 0 
31a1a00000-31a1a14000 r-xp 00000000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
31a1a14000-31a1c13000 ---p 00014000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
31a1c13000-31a1c14000 r--p 00013000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
31a1c14000-31a1c15000 rw-p 00014000 fd:02 530424                         /usr/lib64/libXft.so.2.3.0
3747a00000-3747a15000 r-xp 00000000 fd:02 527764                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
3747a15000-3747c14000 ---p 00015000 fd:02 527764                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
3747c14000-3747c15000 rw-p 00014000 fd:02 527764                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
3747e00000-3747ee5000 r-xp 00000000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
3747ee5000-37480e4000 ---p 000e5000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
37480e4000-37480ec000 r--p 000e4000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
37480ec000-37480ee000 rw-p 000ec000 fd:02 528825                         /usr/lib64/libstdc++.so.6.0.17
37480ee000-3748103000 rw-p 00000000 00:00 0 
3748e00000-3748ed8000 r-xp 00000000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
3748ed8000-37490d7000 ---p 000d8000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
37490d7000-37490dd000 r--p 000d7000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
37490dd000-37490df000 rw-p 000dd000 fd:02 551851                         /usr/lib64/libasound.so.2.0.0
3749600000-3749755000 r-xp 00000000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749755000-3749955000 ---p 00155000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749955000-3749965000 r--p 00155000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749965000-3749966000 rw-p 00165000 fd:02 551931                         /usr/lib64/libicuuc.so.48.1.1
3749966000-374996a000 rw-p 00000000 00:00 0 
3749a00000-3749bb7000 r-xp 00000000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
3749bb7000-3749db6000 ---p 001b7000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
3749db6000-3749dc2000 r--p 001b6000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
3749dc2000-3749dc4000 rw-p 001c2000 fd:02 570283                         /usr/lib64/libicui18n.so.48.1.1
374c400000-374c417000 r-xp 00000000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c417000-374c617000 ---p 00017000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c617000-374c618000 r--p 00017000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c618000-374c619000 rw-p 00018000 fd:02 527010                         /usr/lib64/libspeex.so.1.5.0
374c800000-374c914000 r-xp 00000000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374c914000-374cb13000 ---p 00114000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374cb13000-374cb18000 r--p 00113000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374cb18000-374cb1b000 rw-p 00118000 fd:02 551257                         /usr/lib64/libboost_regex.so.1.48.0
374d000000-374d070000 r-xp 00000000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d070000-374d26f000 ---p 00070000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d26f000-374d273000 r--p 0006f000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d273000-374d275000 rw-p 00073000 fd:02 531106                         /usr/lib64/libucommon.so.5.0.9
374d800000-374d849000 r-xp 00000000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374d849000-374da49000 ---p 00049000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374da49000-374da4c000 r--p 00049000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374da4c000-374da4d000 rw-p 0004c000 fd:02 534884                         /usr/lib64/libccgnu2-1.8.so.0.0.1
374da4d000-374da4e000 rw-p 00000000 00:00 0 
374dc00000-374dc46000 r-xp 00000000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374dc46000-374de46000 ---p 00046000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374de46000-374de4a000 r--p 00046000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374de4a000-374de4b000 rw-p 0004a000 fd:02 531077                         /usr/lib64/libcommoncpp.so.5.0.9
374de4b000-374de4c000 rw-p 00000000 00:00 0 
374e000000-374e035000 r-xp 00000000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e035000-374e235000 ---p 00035000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e235000-374e238000 r--p 00035000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e238000-374e239000 rw-p 00038000 fd:02 545246                         /usr/lib64/libccrtp.so.0.0.0
374e239000-374e23a000 rw-p 00000000 00:00 0 
374e400000-374e44c000 r-xp 00000000 fd:02 548863                         /usr/lib64/libccext2-1.8.so.0.0.1
Program received signal SIGABRT, Aborted.
0x0000003e87c35965 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install alsa-lib-1.0.25-3.fc17.x86_64 boost-regex-1.48.0-11.fc17.x86_64 ccrtp-2.0.2-1.fc17.x86_64 expat-2.1.0-1.fc17.x86_64 file-libs-5.10-5.fc17.x86_64 flac-1.2.1-9.fc17.x86_64 fontconfig-2.8.0-7.fc17.x86_64 freetype-2.4.8-3.fc17.x86_64 gsm-1.0.13-6.fc17.x86_64 kdelibs3-3.5.10-37.fc17.x86_64 lcms-libs-1.19-5.fc17.x86_64 libICE-1.0.8-1.fc17.x86_64 libSM-1.2.1-1.fc17.x86_64 libX11-1.4.99.901-2.fc17.x86_64 libXau-1.0.6-3.fc17.x86_64 libXcursor-1.1.13-1.fc17.x86_64 libXext-1.3.1-1.fc17.x86_64 libXfixes-5.0-2.fc17.x86_64 libXft-2.3.0-2.fc17.x86_64 libXi-1.6.1-1.fc17.x86_64 libXinerama-1.1.2-1.fc17.x86_64 libXrandr-1.3.1-3.fc17.x86_64 libXrender-0.9.7-1.fc17.x86_64 libacl-2.2.51-5.fc17.x86_64 libart_lgpl-2.3.21-3.fc17.x86_64 libattr-2.4.46-5.fc17.x86_64 libgcrypt-1.5.0-3.fc17.x86_64 libgpg-error-1.10-2.fc17.x86_64 libicu-4.8.1.1-2.fc17.x86_64 libidn-1.24-1.fc17.x86_64 libjpeg-turbo-1.2.0-1.fc17.x86_64 libmng-1.0.10-6.fc17.x86_64 libogg-1.3.0-1.fc17.x86_64 libpng-1.5.10-1.fc17.x86_64 libsndfile-1.0.25-2.fc17.x86_64 libutempter-1.1.5-6.fc17.x86_64 libuuid-2.21.2-1.fc17.x86_64 libvorbis-1.3.3-1.fc17.x86_64 libxcb-1.8.1-1.fc17.x86_64 libxml2-2.7.8-7.fc17.x86_64 libzrtpcpp-2.1.2-2.fc17.x86_64 ncurses-libs-5.9-4.20120204.fc17.x86_64 openssl-1.0.0j-1.fc17.x86_64 qt3-3.3.8b-41.fc17.x86_64 readline-6.2-4.fc17.x86_64 speex-1.2-0.14.rc1.fc17.x86_64 ucommon-5.2.2-1.fc17.x86_64
(gdb) backtrace
#0  0x0000003e87c35965 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003e87c37118 in __GI_abort () at abort.c:91
#2  0x0000003e87c7568b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x3e87d77860 "*** %s ***: %s terminated\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#3  0x0000003e87d097e7 in __GI___fortify_fail (msg=msg@entry=0x3e87d77806 "buffer overflow detected") at fortify_fail.c:32
#4  0x0000003e87d079a0 in __GI___chk_fail () at chk_fail.c:29
#5  0x000000374d828e73 in memset (__len=8, __dest=<optimized out>, __ch=0) at /usr/include/bits/string3.h:85
#6  ost::IPV4Address::setAddress (this=0x374da4d320, host=<optimized out>) at inaddr.cpp:336
#7  0x000000374d8295f8 in ost::IPV4Host::IPV4Host (this=0x374da4d320, host=0x0) at inaddr.cpp:257
#8  0x000000374dc200e1 in ?? () from /lib64/libcommoncpp.so.5
#9  0x0000003e8780ee26 in call_init (l=l@entry=0x7ffff7fd6000, argc=argc@entry=1, argv=argv@entry=0x7fffffffdd18, env=env@entry=0x7fffffffdd28)
    at dl-init.c:83
#10 0x0000003e8780eee0 in call_init (env=<optimized out>, argv=<optimized out>, argc=<optimized out>, l=0x7ffff7fd6000) at dl-init.c:54
#11 _dl_init (main_map=0x3e87a212a8, argc=1, argv=0x7fffffffdd18, env=0x7fffffffdd28) at dl-init.c:132
#12 0x0000003e8780156a in _dl_start_user () from /lib64/ld-linux-x86-64.so.2
#13 0x0000000000000001 in ?? ()
#14 0x00007fffffffe0a6 in ?? ()
#15 0x0000000000000000 in ?? ()

Comment 17 Kevin Fenzi 2012-07-14 18:09:39 UTC
*** Bug 839391 has been marked as a duplicate of this bug. ***

Comment 18 Kevin Fenzi 2012-07-14 19:04:03 UTC
Can you add a: 

debuginfo-install ucommon

and re-run the gdb?

Comment 19 Bill C. Riemers 2012-07-15 00:36:33 UTC
[briemers@briemersw ~]$ yum install --enablerepo fedora17-debuginfo twinkle-debuginfo commoncpp2-debuginfo ucommon-debuginfo
...
[briemers@briemersw ~]$ gdb twinkle
GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/twinkle...Reading symbols from /usr/lib/debug/usr/bin/twinkle.debug...done.
done.
(gdb) run
Starting program: /usr/bin/twinkle 
warning: the debug information found in "/usr/lib/debug/usr/lib64/libcommoncpp.so.5.0.9.debug" does not match "/lib64/libcommoncpp.so.5" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/libcommoncpp.so.5.0.9.debug" does not match "/lib64/libcommoncpp.so.5" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64//libcommoncpp.so.5.0.9.debug" does not match "/lib64/libcommoncpp.so.5" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/libucommon.so.5.0.9.debug" does not match "/lib64/libucommon.so.5" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/libucommon.so.5.0.9.debug" does not match "/lib64/libucommon.so.5" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64//libucommon.so.5.0.9.debug" does not match "/lib64/libucommon.so.5" (CRC mismatch).

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
*** buffer overflow detected ***: /usr/bin/twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x394e9097e7]
/lib64/libc.so.6[0x394e9079a0]
/lib64/libccgnu2-1.8.so.0[0x3951028e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x39510295f8]
/lib64/libcommoncpp.so.5[0x3265620091]
/lib64/ld-linux-x86-64.so.2[0x394e00ee26]
/lib64/ld-linux-x86-64.so.2[0x394e00eee0]
/lib64/ld-linux-x86-64.so.2[0x394e00156a]
======= Memory map: ========
00400000-00714000 r-xp 00000000 fd:02 142712                             /usr/bin/twinkle
00913000-00919000 rw-p 00313000 fd:02 142712                             /usr/bin/twinkle
00b18000-00b66000 rw-p 00318000 fd:02 142712                             /usr/bin/twinkle
00b66000-00b87000 rw-p 00000000 00:00 0                                  [heap]
3265600000-3265646000 r-xp 00000000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
3265646000-3265846000 ---p 00046000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
3265846000-326584a000 r--p 00046000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
326584a000-326584b000 rw-p 0004a000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
326584b000-326584c000 rw-p 00000000 00:00 0 
3265a00000-3265a38000 r-xp 00000000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265a38000-3265c37000 ---p 00038000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265c37000-3265c3a000 r--p 00037000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265c3a000-3265c3c000 rw-p 0003a000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265c3c000-3265c3d000 rw-p 00000000 00:00 0 
3265e00000-3265e70000 r-xp 00000000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
3265e70000-326606f000 ---p 00070000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
326606f000-3266073000 r--p 0006f000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
3266073000-3266075000 rw-p 00073000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
3266200000-3266235000 r-xp 00000000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266235000-3266435000 ---p 00035000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266435000-3266438000 r--p 00035000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266438000-3266439000 rw-p 00038000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266439000-326643a000 rw-p 00000000 00:00 0 
35f7400000-35f7534000 r-xp 00000000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7534000-35f7734000 ---p 00134000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7734000-35f7735000 r--p 00134000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7735000-35f773a000 rw-p 00135000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7800000-35f7810000 r-xp 00000000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7810000-35f7a10000 ---p 00010000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7a10000-35f7a11000 r--p 00010000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7a11000-35f7a12000 rw-p 00011000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7c00000-35f7c09000 r-xp 00000000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f7c09000-35f7e08000 ---p 00009000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f7e08000-35f7e09000 r--p 00008000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f7e09000-35f7e0a000 rw-p 00009000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f8000000-35f8007000 r-xp 00000000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8007000-35f8206000 ---p 00007000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8206000-35f8207000 r--p 00006000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8207000-35f8208000 rw-p 00007000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8400000-35f8402000 r-xp 00000000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8402000-35f8601000 ---p 00002000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8601000-35f8602000 r--p 00001000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8602000-35f8603000 rw-p 00002000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8800000-35f880e000 r-xp 00000000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f880e000-35f8a0d000 ---p 0000e000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f8a0d000-35f8a0e000 r--p 0000d000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f8a0e000-35f8a0f000 rw-p 0000e000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f8c00000-35f8c05000 r-xp 00000000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f8c05000-35f8e04000 ---p 00005000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f8e04000-35f8e05000 r--p 00004000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f8e05000-35f8e06000 rw-p 00005000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f9000000-35f9009000 r-xp 00000000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f9009000-35f9209000 ---p 00009000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f9209000-35f920a000 r--p 00009000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f920a000-35f920b000 rw-p 0000a000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f9400000-35f9404000 r-xp 00000000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9404000-35f9603000 ---p 00004000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9603000-35f9604000 r--p 00003000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9604000-35f9605000 rw-p 00004000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9800000-35f9914000 r-xp 00000000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35f9914000-35f9b13000 ---p 00114000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35f9b13000-35f9b18000 r--p 00113000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35f9b18000-35f9b1b000 rw-p 00118000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35fa800000-35fa807000 r-xp 00000000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35fa807000-35faa06000 ---p 00007000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35faa06000-35faa07000 r--p 00006000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35faa07000-35faa08000 rw-p 00007000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35fac00000-35fac27000 r-xp 00000000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fac27000-35fae27000 ---p 00027000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fae27000-35fae29000 r--p 00027000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fae29000-35fae2a000 rw-p 00029000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fb000000-35fb023000 r-xp 00000000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb023000-35fb223000 ---p 00023000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb223000-35fb226000 r--p 00023000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb226000-35fb227000 rw-p 00026000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb400000-35fb4b3000 r-xp 00000000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb4b3000-35fb6b3000 ---p 000b3000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb6b3000-35fb6ba000 r--p 000b3000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb6ba000-35fb6bd000 rw-p 000ba000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb6bd000-35fb6be000 rw-p 00000000 00:00 0 
35fcc00000-35fcc14000 r-xp 00000000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fcc14000-35fce13000 ---p 00014000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fce13000-35fce14000 r--p 00013000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fce14000-35fce15000 rw-p 00014000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fd000000-35fd035000 r-xp 00000000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd035000-35fd235000 ---p 00035000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd235000-35fd236000 r--p 00035000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd236000-35fd237000 rw-p 00036000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd237000-35fd23b000 rw-p 00000000 00:00 0 
35fdc00000-35fdd56000 r-xp 00000000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdd56000-35fdf56000 ---p 00156000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdf56000-35fdf66000 r--p 00156000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdf66000-35fdf67000 rw-p 00166000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdf67000-35fdf6b000 rw-p 00000000 00:00 0 
35fee00000-35fff6f000 r-xp 00000000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
35fff6f000-360016e000 ---p 0116f000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
360016e000-360016f000 r--p 0116e000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
360016f000-3600170000 rw-p 0116f000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
3600200000-36009fa000 r-xp 00000000 fd:02 2487040                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
36009fa000-3600bfa000 ---p 007fa000 fd:02 2487040                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
3600bfa000-3600c77000 rw-p 007fa000 fd:02 2487040                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
3600c77000-3600c7d000 rw-p 00000000 00:00 0 
3600e00000-3600fb8000 r-xp 00000000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
3600fb8000-36011b7000 ---p 001b8000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
36011b7000-36011c3000 r--p 001b7000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
36011c3000-36011c5000 rw-p 001c3000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
3601600000-360184d000 r-xp 00000000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
360184d000-3601a4c000 ---p 0024d000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
3601a4c000-3601a65000 r--p 0024c000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
3601a65000-3601a6d000 rw-p 00265000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
3601a6d000-3601a70000 rw-p 00000000 00:00 0 
3601c00000-3601c2a000 r-xp 00000000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3601c2a000-3601e2a000 ---p 0002a000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3601e2a000-3601e2b000 r--p 0002a000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3601e2b000-3601e2c000 rw-p 0002b000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3602000000-360232d000 r-xp 00000000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
360232d000-360252d000 ---p 0032d000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
360252d000-360257a000 r--p 0032d000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
360257a000-3602584000 rw-p 0037a000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
3602584000-3602585000 rw-p 00000000 00:00 0 
3602600000-3602949000 r-xp 00000000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602949000-3602b49000 ---p 00349000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602b49000-3602b7c000 r--p 00349000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602b7c000-3602b87000 rw-p 0037c000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602b87000-3602b88000 rw-p 00000000 00:00 0 
3602c00000-3602c14000 r-xp 00000000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3602c14000-3602e13000 ---p 00014000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3602e13000-3602e14000 r--p 00013000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3602e14000-3602e15000 rw-p 00014000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3603000000-3603010000 r-xp 00000000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
3603010000-3603210000 ---p 00010000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
3603210000-3603211000 r--p 00010000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
3603211000-3603212000 rw-p 00011000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
394e000000-394e020000 r-xp 00000000 fd:02 132417                         /usr/lib64/ld-2.15.so
394e21f000-394e220000 r--p 0001f000 fd:02 132417                         /usr/lib64/ld-2.15.so
394e220000-394e221000 rw-p 00020000 fd:02 132417                         /usr/lib64/ld-2.15.so
394e221000-394e222000 rw-p 00000000 00:00 0 
394e800000-394e9ac000 r-xp 00000000 fd:02 132795                         /usr/lib64/libc-2.15.so
394e9ac000-394ebac000 ---p 001ac000 fd:02 132795                         /usr/lib64/libc-2.15.so
394ebac000-394ebb0000 r--p 001ac000 fd:02 132795                         /usr/lib64/libc-2.15.so
394ebb0000-394ebb2000 rw-p 001b0000 fd:02 132795                         /usr/lib64/libc-2.15.so
394ebb2000-394ebb7000 rw-p 00000000 00:00 0 
394ec00000-394ecfa000 r-xp 00000000 fd:02 137560                         /usr/lib64/libm-2.15.so
394ecfa000-394eef9000 ---p 000fa000 fd:02 137560                         /usr/lib64/libm-2.15.so
394eef9000-394eefa000 r--p 000f9000 fd:02 137560                         /usr/lib64/libm-2.15.so
394eefa000-394eefb000 rw-p 000fa000 fd:02 137560                         /usr/lib64/libm-2.15.so
394f000000-394f016000 r-xp 00000000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f016000-394f216000 ---p 00016000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f216000-394f217000 r--p 00016000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f217000-394f218000 rw-p 00017000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f218000-394f21c000 rw-p 00000000 00:00 0 
394f400000-394f403000 r-xp 00000000 fd:02 137566                         /usr/lib64/libdl-2.15.so
394f403000-394f602000 ---p 00003000 fd:02 137566                         /usr/lib64/libdl-2.15.so
Program received signal SIGABRT, Aborted.
0x000000394e835965 in raise () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install alsa-lib-1.0.25-3.fc17.x86_64 boost-regex-1.48.0-13.fc17.x86_64 ccrtp-2.0.2-1.fc17.x86_64 expat-2.1.0-1.fc17.x86_64 file-libs-5.10-5.fc17.x86_64 flac-1.2.1-9.fc17.x86_64 fontconfig-2.8.0-7.fc17.x86_64 freetype-2.4.8-3.fc17.x86_64 glibc-2.15-37.fc17.x86_64 gsm-1.0.13-6.fc17.x86_64 kdelibs3-3.5.10-37.fc17.x86_64 lcms-libs-1.19-5.fc17.x86_64 libICE-1.0.8-1.fc17.x86_64 libSM-1.2.1-1.fc17.x86_64 libX11-1.5.0-2.fc17.x86_64 libXau-1.0.6-3.fc17.x86_64 libXcursor-1.1.13-1.fc17.x86_64 libXext-1.3.1-1.fc17.x86_64 libXfixes-5.0-2.fc17.x86_64 libXft-2.3.0-2.fc17.x86_64 libXi-1.6.1-1.fc17.x86_64 libXinerama-1.1.2-1.fc17.x86_64 libXrandr-1.3.1-3.fc17.x86_64 libXrender-0.9.7-1.fc17.x86_64 libacl-2.2.51-5.fc17.x86_64 libart_lgpl-2.3.21-3.fc17.x86_64 libattr-2.4.46-5.fc17.x86_64 libgcc-4.7.0-5.fc17.x86_64 libgcrypt-1.5.0-3.fc17.x86_64 libgpg-error-1.10-2.fc17.x86_64 libicu-4.8.1.1-4.fc17.x86_64 libidn-1.24-1.fc17.x86_64 libjpeg-turbo-1.2.0-1.fc17.x86_64 libmng-1.0.10-6.fc17.x86_64 libogg-1.3.0-1.fc17.x86_64 libpng-1.5.10-1.fc17.x86_64 libsndfile-1.0.25-2.fc17.x86_64 libstdc++-4.7.0-5.fc17.x86_64 libutempter-1.1.5-6.fc17.x86_64 libuuid-2.21.2-2.fc17.x86_64 libvorbis-1.3.3-1.fc17.x86_64 libxcb-1.8.1-1.fc17.x86_64 libxml2-2.7.8-7.fc17.x86_64 libzrtpcpp-2.1.2-2.fc17.x86_64 ncurses-libs-5.9-4.20120204.fc17.x86_64 openssl-1.0.0j-1.fc17.x86_64 qt3-3.3.8b-41.fc17.x86_64 readline-6.2-4.fc17.x86_64 speex-1.2-0.14.rc1.fc17.x86_64 ucommon-5.2.3-1.fc17.x86_64 zlib-1.2.5-6.fc17.x86_64
(gdb) bt
#0  0x000000394e835965 in raise () from /lib64/libc.so.6
#1  0x000000394e837118 in abort () from /lib64/libc.so.6
#2  0x000000394e87568b in __libc_message () from /lib64/libc.so.6
#3  0x000000394e9097e7 in __fortify_fail () from /lib64/libc.so.6
#4  0x000000394e9079a0 in __chk_fail () from /lib64/libc.so.6
#5  0x0000003951028e73 in memset (__len=8, __dest=<optimized out>, __ch=0)
    at /usr/include/bits/string3.h:85
#6  ost::IPV4Address::setAddress (this=0x395124d320, host=<optimized out>)
    at inaddr.cpp:336
#7  0x00000039510295f8 in ost::IPV4Host::IPV4Host (this=0x395124d320, host=0x0)
    at inaddr.cpp:257
#8  0x0000003265620091 in ?? () from /lib64/libcommoncpp.so.5
#9  0x000000394e00ee26 in call_init.part.0 () from /lib64/ld-linux-x86-64.so.2
#10 0x000000394e00eee0 in _dl_init_internal () from /lib64/ld-linux-x86-64.so.2
#11 0x000000394e00156a in _dl_start_user () from /lib64/ld-linux-x86-64.so.2
#12 0x0000000000000001 in ?? ()
#13 0x00007fffffffde22 in ?? ()
#14 0x0000000000000000 in ?? ()
(gdb)

Comment 20 Bill C. Riemers 2012-07-15 00:42:28 UTC
It looks like there is no debug info for libcommoncpp.so.5...   I see above you referenced a program called debug-install, but I can't seem to find that either.

Comment 21 Bill C. Riemers 2012-07-15 00:44:23 UTC
Oh.  I guess debug install was added when I added the debug packages with yum.  So I'll try installing the other debug packages referenced as needed.

Comment 22 Bill C. Riemers 2012-07-15 01:09:30 UTC
OK.  Here is the information you were looking for.   It looks like the error must be at inaddr.cpp:336.

I think that line of code should be change to:

memset((void *)&ipaddr[0],0,sizeof(in_addr));

As sizeof(ipaddr) will be the size of the pointer not the struct.   Since an IPv4 address is 4 bytes, but a 64 bit pointer size is 8 bytes, there is always a buffer overflow.


[briemers@briemersw ~]$ gdb twinkle
GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/twinkle...Reading symbols from /usr/lib/debug/usr/bin/twinkle.debug...done.
done.
(gdb) run
Starting program: /usr/bin/twinkle 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: "/usr/lib/debug/usr/lib64/libicudata.so.48.1.1.debug": separate debug info file has no debug info
*** buffer overflow detected ***: /usr/bin/twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x394e9097e7]
/lib64/libc.so.6[0x394e9079a0]
/lib64/libccgnu2-1.8.so.0[0x3951028e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x39510295f8]
/lib64/libcommoncpp.so.5[0x3265620091]
/lib64/ld-linux-x86-64.so.2[0x394e00ee26]
/lib64/ld-linux-x86-64.so.2[0x394e00eee0]
/lib64/ld-linux-x86-64.so.2[0x394e00156a]
======= Memory map: ========
00400000-00714000 r-xp 00000000 fd:02 142712                             /usr/bin/twinkle
00913000-00919000 rw-p 00313000 fd:02 142712                             /usr/bin/twinkle
00b18000-00b66000 rw-p 00318000 fd:02 142712                             /usr/bin/twinkle
00b66000-00b87000 rw-p 00000000 00:00 0                                  [heap]
3265600000-3265646000 r-xp 00000000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
3265646000-3265846000 ---p 00046000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
3265846000-326584a000 r--p 00046000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
326584a000-326584b000 rw-p 0004a000 fd:02 142688                         /usr/lib64/libcommoncpp.so.5.0.9
326584b000-326584c000 rw-p 00000000 00:00 0 
3265a00000-3265a38000 r-xp 00000000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265a38000-3265c37000 ---p 00038000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265c37000-3265c3a000 r--p 00037000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265c3a000-3265c3c000 rw-p 0003a000 fd:02 144607                         /usr/lib64/libzrtpcpp.so.2.1.2
3265c3c000-3265c3d000 rw-p 00000000 00:00 0 
3265e00000-3265e70000 r-xp 00000000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
3265e70000-326606f000 ---p 00070000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
326606f000-3266073000 r--p 0006f000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
3266073000-3266075000 rw-p 00073000 fd:02 141344                         /usr/lib64/libucommon.so.5.0.9
3266200000-3266235000 r-xp 00000000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266235000-3266435000 ---p 00035000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266435000-3266438000 r--p 00035000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266438000-3266439000 rw-p 00038000 fd:02 142686                         /usr/lib64/libccrtp.so.0.0.0
3266439000-326643a000 rw-p 00000000 00:00 0 
35f7400000-35f7534000 r-xp 00000000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7534000-35f7734000 ---p 00134000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7734000-35f7735000 r--p 00134000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7735000-35f773a000 rw-p 00135000 fd:02 147262                         /usr/lib64/libX11.so.6.3.0
35f7800000-35f7810000 r-xp 00000000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7810000-35f7a10000 ---p 00010000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7a10000-35f7a11000 r--p 00010000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7a11000-35f7a12000 rw-p 00011000 fd:02 144301                         /usr/lib64/libXext.so.6.4.0
35f7c00000-35f7c09000 r-xp 00000000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f7c09000-35f7e08000 ---p 00009000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f7e08000-35f7e09000 r--p 00008000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f7e09000-35f7e0a000 rw-p 00009000 fd:02 151159                         /usr/lib64/libXrender.so.1.3.0
35f8000000-35f8007000 r-xp 00000000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8007000-35f8206000 ---p 00007000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8206000-35f8207000 r--p 00006000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8207000-35f8208000 rw-p 00007000 fd:02 151208                         /usr/lib64/libXrandr.so.2.2.0
35f8400000-35f8402000 r-xp 00000000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8402000-35f8601000 ---p 00002000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8601000-35f8602000 r--p 00001000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8602000-35f8603000 rw-p 00002000 fd:02 151247                         /usr/lib64/libXinerama.so.1.0.0
35f8800000-35f880e000 r-xp 00000000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f880e000-35f8a0d000 ---p 0000e000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f8a0d000-35f8a0e000 r--p 0000d000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f8a0e000-35f8a0f000 rw-p 0000e000 fd:02 132305                         /usr/lib64/libXi.so.6.1.0
35f8c00000-35f8c05000 r-xp 00000000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f8c05000-35f8e04000 ---p 00005000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f8e04000-35f8e05000 r--p 00004000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f8e05000-35f8e06000 rw-p 00005000 fd:02 151213                         /usr/lib64/libXfixes.so.3.1.0
35f9000000-35f9009000 r-xp 00000000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f9009000-35f9209000 ---p 00009000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f9209000-35f920a000 r--p 00009000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f920a000-35f920b000 rw-p 0000a000 fd:02 151218                         /usr/lib64/libXcursor.so.1.0.2
35f9400000-35f9404000 r-xp 00000000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9404000-35f9603000 ---p 00004000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9603000-35f9604000 r--p 00003000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9604000-35f9605000 rw-p 00004000 fd:02 134637                         /usr/lib64/libuuid.so.1.3.0
35f9800000-35f9914000 r-xp 00000000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35f9914000-35f9b13000 ---p 00114000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35f9b13000-35f9b18000 r--p 00113000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35f9b18000-35f9b1b000 rw-p 00118000 fd:02 146489                         /usr/lib64/libboost_regex.so.1.48.0
35fa800000-35fa807000 r-xp 00000000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35fa807000-35faa06000 ---p 00007000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35faa06000-35faa07000 r--p 00006000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35faa07000-35faa08000 rw-p 00007000 fd:02 147263                         /usr/lib64/libSM.so.6.0.1
35fac00000-35fac27000 r-xp 00000000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fac27000-35fae27000 ---p 00027000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fae27000-35fae29000 r--p 00027000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fae29000-35fae2a000 rw-p 00029000 fd:02 147606                         /usr/lib64/libvcard.so.0.0.0
35fb000000-35fb023000 r-xp 00000000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb023000-35fb223000 ---p 00023000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb223000-35fb226000 r--p 00023000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb226000-35fb227000 rw-p 00026000 fd:02 153049                         /usr/lib64/libkresources.so.1.2.0
35fb400000-35fb4b3000 r-xp 00000000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb4b3000-35fb6b3000 ---p 000b3000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb6b3000-35fb6ba000 r--p 000b3000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb6ba000-35fb6bd000 rw-p 000ba000 fd:02 150424                         /usr/lib64/libkabc.so.1.2.0
35fb6bd000-35fb6be000 rw-p 00000000 00:00 0 
35fcc00000-35fcc14000 r-xp 00000000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fcc14000-35fce13000 ---p 00014000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fce13000-35fce14000 r--p 00013000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fce14000-35fce15000 rw-p 00014000 fd:02 151258                         /usr/lib64/libXft.so.2.3.0
35fd000000-35fd035000 r-xp 00000000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd035000-35fd235000 ---p 00035000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd235000-35fd236000 r--p 00035000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd236000-35fd237000 rw-p 00036000 fd:02 153067                         /usr/lib64/libDCOP.so.4.2.0
35fd237000-35fd23b000 rw-p 00000000 00:00 0 
35fdc00000-35fdd56000 r-xp 00000000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdd56000-35fdf56000 ---p 00156000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdf56000-35fdf66000 r--p 00156000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdf66000-35fdf67000 rw-p 00166000 fd:02 134302                         /usr/lib64/libicuuc.so.48.1.1
35fdf67000-35fdf6b000 rw-p 00000000 00:00 0 
35fee00000-35fff6f000 r-xp 00000000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
35fff6f000-360016e000 ---p 0116f000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
360016e000-360016f000 r--p 0116e000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
360016f000-3600170000 rw-p 0116f000 fd:02 168921                         /usr/lib64/libicudata.so.48.1.1
3600200000-36009fa000 r-xp 00000000 fd:02 2487040                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
36009fa000-3600bfa000 ---p 007fa000 fd:02 2487040                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
3600bfa000-3600c77000 rw-p 007fa000 fd:02 2487040                        /usr/lib64/qt-3.3/lib/libqt-mt.so.3.3.8
3600c77000-3600c7d000 rw-p 00000000 00:00 0 
3600e00000-3600fb8000 r-xp 00000000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
3600fb8000-36011b7000 ---p 001b8000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
36011b7000-36011c3000 r--p 001b7000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
36011c3000-36011c5000 rw-p 001c3000 fd:02 144418                         /usr/lib64/libicui18n.so.48.1.1
3601600000-360184d000 r-xp 00000000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
360184d000-3601a4c000 ---p 0024d000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
3601a4c000-3601a65000 r--p 0024c000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
3601a65000-3601a6d000 rw-p 00265000 fd:02 150613                         /usr/lib64/libkdecore.so.4.2.0
3601a6d000-3601a70000 rw-p 00000000 00:00 0 
3601c00000-3601c2a000 r-xp 00000000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3601c2a000-3601e2a000 ---p 0002a000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3601e2a000-3601e2b000 r--p 0002a000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3601e2b000-3601e2c000 rw-p 0002b000 fd:02 153368                         /usr/lib64/libkdefx.so.4.2.0
3602000000-360232d000 r-xp 00000000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
360232d000-360252d000 ---p 0032d000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
360252d000-360257a000 r--p 0032d000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
360257a000-3602584000 rw-p 0037a000 fd:02 140173                         /usr/lib64/libkdeui.so.4.2.0
3602584000-3602585000 rw-p 00000000 00:00 0 
3602600000-3602949000 r-xp 00000000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602949000-3602b49000 ---p 00349000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602b49000-3602b7c000 r--p 00349000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602b7c000-3602b87000 rw-p 0037c000 fd:02 154988                         /usr/lib64/libkio.so.4.2.0
3602b87000-3602b88000 rw-p 00000000 00:00 0 
3602c00000-3602c14000 r-xp 00000000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3602c14000-3602e13000 ---p 00014000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3602e13000-3602e14000 r--p 00013000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3602e14000-3602e15000 rw-p 00014000 fd:02 153930                         /usr/lib64/libkdesu.so.4.2.0
3603000000-3603010000 r-xp 00000000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
3603010000-3603210000 ---p 00010000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
3603210000-3603211000 r--p 00010000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
3603211000-3603212000 rw-p 00011000 fd:02 154219                         /usr/lib64/libkwalletclient.so.1.0.1
394e000000-394e020000 r-xp 00000000 fd:02 132417                         /usr/lib64/ld-2.15.so
394e21f000-394e220000 r--p 0001f000 fd:02 132417                         /usr/lib64/ld-2.15.so
394e220000-394e221000 rw-p 00020000 fd:02 132417                         /usr/lib64/ld-2.15.so
394e221000-394e222000 rw-p 00000000 00:00 0 
394e800000-394e9ac000 r-xp 00000000 fd:02 132795                         /usr/lib64/libc-2.15.so
394e9ac000-394ebac000 ---p 001ac000 fd:02 132795                         /usr/lib64/libc-2.15.so
394ebac000-394ebb0000 r--p 001ac000 fd:02 132795                         /usr/lib64/libc-2.15.so
394ebb0000-394ebb2000 rw-p 001b0000 fd:02 132795                         /usr/lib64/libc-2.15.so
394ebb2000-394ebb7000 rw-p 00000000 00:00 0 
394ec00000-394ecfa000 r-xp 00000000 fd:02 137560                         /usr/lib64/libm-2.15.so
394ecfa000-394eef9000 ---p 000fa000 fd:02 137560                         /usr/lib64/libm-2.15.so
394eef9000-394eefa000 r--p 000f9000 fd:02 137560                         /usr/lib64/libm-2.15.so
394eefa000-394eefb000 rw-p 000fa000 fd:02 137560                         /usr/lib64/libm-2.15.so
394f000000-394f016000 r-xp 00000000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f016000-394f216000 ---p 00016000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f216000-394f217000 r--p 00016000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
394f217000-394f218000 rw-p 00017000 fd:02 137556                         /usr/lib64/libpthread-2.15.so
Program received signal SIGABRT, Aborted.
0x000000394e835965 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x000000394e835965 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000394e837118 in __GI_abort () at abort.c:91
#2  0x000000394e87568b in __libc_message (do_abort=do_abort@entry=2, 
    fmt=fmt@entry=0x394e977860 "*** %s ***: %s terminated\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#3  0x000000394e9097e7 in __GI___fortify_fail (
    msg=msg@entry=0x394e977806 "buffer overflow detected") at fortify_fail.c:32
#4  0x000000394e9079a0 in __GI___chk_fail () at chk_fail.c:29
#5  0x0000003951028e73 in memset (__len=8, __dest=<optimized out>, __ch=0)
    at /usr/include/bits/string3.h:85
#6  ost::IPV4Address::setAddress (this=0x395124d320, host=<optimized out>)
    at inaddr.cpp:336
#7  0x00000039510295f8 in ost::IPV4Host::IPV4Host (this=0x395124d320, host=0x0)
    at inaddr.cpp:257
#8  0x0000003265620091 in __static_initialization_and_destruction_0 (
    __initialize_p=<optimized out>, __priority=<optimized out>)
    at address.cpp:80
#9  _GLOBAL__sub_I_address.cpp(void) () at address.cpp:1208
#10 0x000000394e00ee26 in call_init (l=l@entry=0x7ffff7fca000, 
    argc=argc@entry=1, argv=argv@entry=0x7fffffffda08, 
    env=env@entry=0x7fffffffda18) at dl-init.c:83
#11 0x000000394e00eee0 in call_init (env=<optimized out>, 
---Type <return> to continue, or q <return> to quit---
    argv=<optimized out>, argc=<optimized out>, l=0x7ffff7fca000)
    at dl-init.c:54
#12 _dl_init (main_map=0x394e2212a8, argc=1, argv=0x7fffffffda08, 
    env=0x7fffffffda18) at dl-init.c:132
#13 0x000000394e00156a in _dl_start_user () from /lib64/ld-linux-x86-64.so.2
#14 0x0000000000000001 in ?? ()
#15 0x00007fffffffde22 in ?? ()
#16 0x0000000000000000 in ?? ()
(gdb)

Comment 23 Rex Dieter 2012-07-15 13:02:15 UTC
Try this?

https://admin.fedoraproject.org/updates/FEDORA-2012-10013/ucommon-5.2.3-1.fc17

(and possible dup of bug #833458 symptoms )

Comment 24 Harish Pillay 2012-07-23 14:29:47 UTC
FWIW, twinkle is now working on my machine.  It has been regularly updated and I suppose that fixed it.

$rpm -qa|grep twinkle
twinkle-debuginfo-1.4.2-17.fc17.1.x86_64
twinkle-1.4.2-17.fc17.x86_64
$ uname -a
Linux vostro.sin.redhat.com 3.4.6-2.fc17.x86_64 #1 SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Harish

Comment 25 Kevin Fenzi 2012-07-23 14:40:54 UTC
*** Bug 842213 has been marked as a duplicate of this bug. ***

Comment 26 George B. Magklaras 2012-07-24 12:58:04 UTC
I confirm that the above fix is not working for me. 

$ twinkle
*** buffer overflow detected ***: twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x32d07097c7]
/lib64/libc.so.6[0x32d0707980]
/lib64/libccgnu2-1.8.so.0(+0x28e73)[0x7fb2cad7be73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x7fb2cad7c5f8]
/lib64/libcommoncpp.so.5(+0x20091)[0x7fb2ca8ec091]
/lib64/ld-linux-x86-64.so.2[0x32d020ee26]
/lib64/ld-linux-x86-64.so.2[0x32d020eee0]
/lib64/ld-linux-x86-64.so.2[0x32d020156a]
======= Memory map: ========
00400000-00714000 r-xp 00000000 08:01 339321                             /usr/bin/twinkle
00913000-00917000 rw-p 00313000 08:01 339321                             /usr/bin/twinkle
00917000-00919000 rw-p 00000000 00:00 0 
020db000-020fc000 rw-p 00000000 00:00 0                                  [heap]
32d0200000-32d0220000 r-xp 00000000 08:01 262779                         /usr/lib64/ld-2.15.so
32d041f000-32d0420000 r--p 0001f000 08:01 262779                         /usr/lib64/ld-2.15.so
32d0420000-32d0421000 rw-p 00020000 08:01 262779                         /usr/lib64/ld-2.15.so
32d0421000-32d0422000 rw-p 00000000 00:00 0 
32d0600000-32d07ac000 r-xp 00000000 08:01 262812                         /usr/lib64/libc-2.15.so
32d07ac000-32d09ac000 ---p 001ac000 08:01 262812                         /usr/lib64/libc-2.15.so
32d09ac000-32d09b0000 r--p 001ac000 08:01 262812                         /usr/lib64/libc-2.15.so
32d09b0000-32d09b2000 rw-p 001b0000 08:01 262812                         /usr/lib64/libc-2.15.so
32d09b2000-32d09b7000 rw-p 00000000 00:00 0 
32d0a00000-32d0a16000 r-xp 00000000 08:01 270140                         /usr/lib64/libpthread-2.15.so
32d0a16000-32d0c16000 ---p 00016000 08:01 270140                         /usr/lib64/libpthread-2.15.so
32d0c16000-32d0c17000 r--p 00016000 08:01 270140                         /usr/lib64/libpthread-2.15.so
32d0c17000-32d0c18000 rw-p 00017000 08:01 270140                         /usr/lib64/libpthread-2.15.so
32d0c18000-32d0c1c000 rw-p 00000000 00:00 0 
32d0e00000-32d0efa000 r-xp 00000000 08:01 263080                         /usr/lib64/libm-2.15.so
32d0efa000-32d10f9000 ---p 000fa000 08:01 263080                         /usr/lib64/libm-2.15.so
32d10f9000-32d10fa000 r--p 000f9000 08:01 263080                         /usr/lib64/libm-2.15.so
32d10fa000-32d10fb000 rw-p 000fa000 08:01 263080                         /usr/lib64/libm-2.15.so
32d1200000-32d1203000 r-xp 00000000 08:01 270325                         /usr/lib64/libdl-2.15.so
32d1203000-32d1402000 ---p 00003000 08:01 270325                         /usr/lib64/libdl-2.15.so
32d1402000-32d1403000 r--p 00002000 08:01 270325                         /usr/lib64/libdl-2.15.so
32d1403000-32d1404000 rw-p 00003000 08:01 270325                         /usr/lib64/libdl-2.15.so
32d1600000-32d1607000 r-xp 00000000 08:01 280932                         /usr/lib64/librt-2.15.so
32d1607000-32d1806000 ---p 00007000 08:01 280932                         /usr/lib64/librt-2.15.so
32d1806000-32d1807000 r--p 00006000 08:01 280932                         /usr/lib64/librt-2.15.so
32d1807000-32d1808000 rw-p 00007000 08:01 280932                         /usr/lib64/librt-2.15.so
32d1a00000-32d1a17000 r-xp 00000000 08:01 263367                         /usr/lib64/libz.so.1.2.5
32d1a17000-32d1c16000 ---p 00017000 08:01 263367                         /usr/lib64/libz.so.1.2.5
32d1c16000-32d1c17000 rw-p 00016000 08:01 263367                         /usr/lib64/libz.so.1.2.5
32d1e00000-32d1e1a000 r-xp 00000000 08:01 297509                         /usr/lib64/libmagic.so.1.0.0
32d1e1a000-32d2019000 ---p 0001a000 08:01 297509                         /usr/lib64/libmagic.so.1.0.0
32d2019000-32d201a000 r--p 00019000 08:01 297509                         /usr/lib64/libmagic.so.1.0.0
32d201a000-32d201b000 rw-p 0001a000 08:01 297509                         /usr/lib64/libmagic.so.1.0.0
32d2600000-32d2616000 r-xp 00000000 08:01 270534                         /usr/lib64/libresolv-2.15.so
32d2616000-32d2816000 ---p 00016000 08:01 270534                         /usr/lib64/libresolv-2.15.so
32d2816000-32d2817000 r--p 00016000 08:01 270534                         /usr/lib64/libresolv-2.15.so
32d2817000-32d2818000 rw-p 00017000 08:01 270534                         /usr/lib64/libresolv-2.15.so
32d2818000-32d281a000 rw-p 00000000 00:00 0 
32d3600000-32d3615000 r-xp 00000000 08:01 266817                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
32d3615000-32d3814000 ---p 00015000 08:01 266817                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
32d3814000-32d3815000 rw-p 00014000 08:01 266817                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
32d3a00000-32d3a3c000 r-xp 00000000 08:01 277383                         /usr/lib64/libreadline.so.6.2
32d3a3c000-32d3c3b000 ---p 0003c000 08:01 277383                         /usr/lib64/libreadline.so.6.2
32d3c3b000-32d3c3d000 r--p 0003b000 08:01 277383                         /usr/lib64/libreadline.so.6.2
32d3c3d000-32d3c43000 rw-p 0003d000 08:01 277383                         /usr/lib64/libreadline.so.6.2
32d3c43000-32d3c45000 rw-p 00000000 00:00 0 
32d3e00000-32d3e1d000 r-xp 00000000 08:01 281001                         /usr/lib64/libxcb.so.1.1.0
32d3e1d000-32d401c000 ---p 0001d000 08:01 281001                         /usr/lib64/libxcb.so.1.1.0
32d401c000-32d401d000 r--p 0001c000 08:01 281001                         /usr/lib64/libxcb.so.1.1.0
32d401d000-32d401e000 rw-p 0001d000 08:01 281001                         /usr/lib64/libxcb.so.1.1.0
32d4200000-32d4202000 r-xp 00000000 08:01 280997                         /usr/lib64/libXau.so.6.0.0
32d4202000-32d4402000 ---p 00002000 08:01 280997                         /usr/lib64/libXau.so.6.0.0
32d4402000-32d4403000 r--p 00002000 08:01 280997                         /usr/lib64/libXau.so.6.0.0
32d4403000-32d4404000 rw-p 00003000 08:01 280997                         /usr/lib64/libXau.so.6.0.0
32d4600000-32d4601000 r-xp 00000000 08:01 288430                         /usr/lib64/libutempter.so.1.1.5
32d4601000-32d4801000 ---p 00001000 08:01 288430                         /usr/lib64/libutempter.so.1.1.5
32d4801000-32d4802000 rw-p 00001000 08:01 288430                         /usr/lib64/libutempter.so.1.1.5
32d4e00000-32d4e10000 r-xp 00000000 08:01 281068                         /usr/lib64/libXext.so.6.4.0Aborted (core dumped)

Comment 27 Bill C. Riemers 2012-07-24 13:29:16 UTC
The fix actually has nothing to do with twinkle.   Check to see what version of commoncpp2 you have.   The one that is working for me is commoncpp2-1.8.1-2.fc17.x86_64.

e.g. 

$ rpm -q commoncpp2
commoncpp2-1.8.1-2.fc17.x86_64

If installing that version does not solve the problem for you, then you'll need to install the debug info, so your traceback will show where the error is occuring.  It is quite possible are/were two separate bugs that have the same symptoms.

Comment 28 Harish Pillay 2012-07-24 14:34:29 UTC
Thanks Bill for suggesting that it is commoncpp2.

This is what I have on my system:
$ rpm -q commoncpp2
commoncpp2-1.8.1-2.fc17.x86_64

and twinkle is working.

Thanks.

Harish

Comment 29 Rex Dieter 2012-07-24 14:56:42 UTC
ok, marking fixed by,

https://admin.fedoraproject.org/updates/FEDORA-2012-10013/ucommon-5.2.3-1.fc17

*** This bug has been marked as a duplicate of bug 833458 ***

Comment 30 Veerloos 2013-02-28 08:45:57 UTC
While this is a bug that should be fixed upstream, I found a workaround that allows end users to use twinkle as long as there's not real fix: make sure your hostname can be resolved through dns. Having your hostname listed in /etc/hosts is not enough.

Only if the command "host $(hostname)" gives a valid answer, I can start twinkle. So I fixed this by putting my hostname in my routers DNS server.

Hope this helps you guys. Btw, I'm running FC18.


Note You need to log in before you can comment on or make changes to this bug.